List orders for a wallet
curl --request GET \
--url https://sandbox.elementpay.net/orders/wallet \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.elementpay.net/orders/wallet"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.elementpay.net/orders/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Orders fetched (2)",
"data": [
{
"order_id": "95531bef5c8a3997d61f6721...",
"status": "PENDING",
"wallet_address": "0x4f07419e6bfccf8d256e8ef803cc2653dfbb9558",
"amount_crypto": 0.07536,
"amount_fiat": 10,
"currency": "KES",
"exchange_rate": 132.6965,
"token": "BASE_USDC(Testnet)",
"creation_transaction_hash": "c69b5e...e6",
"webhook_url": "https://example.com/webhook",
"order_type": "OnRamp",
"created_at": "2025-08-13T04:38:34.000Z"
},
{
"order_id": "a1b2c3d4...",
"status": "SETTLED",
"wallet_address": "0x4f07419e6bfccf8d256e8ef803cc2653dfbb9558",
"amount_crypto": 5,
"amount_fiat": 650,
"currency": "KES",
"exchange_rate": 130,
"token": "BASE_USDC(Testnet)",
"creation_transaction_hash": "0xabc...",
"settlement_transaction_hash": "0xdef...",
"webhook_url": "https://example.com/webhook",
"order_type": "OffRamp",
"created_at": "2025-08-10T10:00:00.000Z"
}
]
}Order Endpoints
List orders for a wallet
Returns only orders belonging to the API key’s user for that wallet.
Pagination:
- limit: maximum number of rows to return (default 50)
- offset: number of rows to skip before starting to return results (combine with limit for offset-based pagination)
GET
/
orders
/
wallet
List orders for a wallet
List orders for a wallet address.
Auth & Scope
- Internal keys: return all orders for the wallet.
- Regular developer keys: return only orders owned by the calling user for that wallet.
limit(default 50, max 200)offset(default 0)
Authorizations
Query Parameters
The wallet address to check the orders for
Max rows per page
Required range:
1 <= x <= 200Rows to skip (for pagination)
Required range:
x >= 0Response
Orders fetched successfully
⌘I

